Skip to main content
`Ctrl`+`K`

# icosahedral_graph

icosahedral_graph(create_using=None)

  Returns the Platonic Icosahedral graph.

  The icosahedral graph has 12 nodes and 30 edges. It is a Platonic graph whose nodes have the connectivity of the icosahedron. It is undirected, regular and Hamiltonian [1].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      Icosahedral graph with 12 nodes and 30 edges.

  References

  [1]

  https://mathworld.wolfram.com/IcosahedralGraph.html